This page last changed on Aug 18, 2014 by mclmax.

Hi,
I have installed the Pro version controller on my Raspberry Pi + Razberry.
It works fine but i find this message on the raspberry console:

Java Hotspot(TM) Client VM warning: You have loaded library /opt/OpenRemote/webapps/controller/WEB-INF/lib/native/librxtxSerial.so
which might have disabled stack guard. The VM will try to fix the stack guard now.
It's highly recommended that you fix the library with 'execstack -c <libfile>', or link it with '-z noexecstack'.

Can you help me?

Thanks

I found the following links on the internet concerning this issue:

http://stackoverflow.com/questions/18889113/running-java-5-6-with-jni-on-java-7-gives-stack-guard-warning
https://groups.google.com/forum/#!topic/fusionreactor/iRsnTT3al04

It seems that this library check has been introduced with Java 7. I wouldn't take it too seriously if everything works fine.

Posted by rhitz at Aug 19, 2014 08:19
Document generated by Confluence on Jun 05, 2016 09:38